import request from "@/utils/request";

// 井列表
export function listJlb(query) {
  return request({
    url: "/jt/JtDjjc/getWellList",
    method: "get",
    params: query,
  });
}
//单井配置--基本信息--修改基本信息
export function addDjpz(data) {
  return request({
    url: "/jt/JtDjjc",
    method: "put",
    data: data,
  });
}
//单井配置--基本信息--获取基本信息
export function getDjpz(jhdm) {
  return request({
    url: "/jt/JtDjjc/" + jhdm,
    method: "get",
  });
}
//单井配置--基本信息--井列表字段信息
export function listJlbdjpz(query) {
  return request({
    url: "/jt/JtDjjc/list",
    method: "get",
    params: query,
  });
}
// ---------------------
// 钻机 钻机信息
export function listZjxx(query) {
  return request({
    url: "/dt/dtZjpz/list",
    method: "get",
    params: query,
  });
}
//钻机信息新增
export function addZjxx(data) {
  return request({
    url: "/dt/dtZjpz",
    method: "post",
    data: data,
  });
}
//钻机信息更新
export function updateZjxx(data) {
  return request({
    url: "/dt/dtZjpz",
    method: "put",
    data: data,
  });
}
//地面降温系统
export function listDmjwxt(query) {
  return request({
    url: "/dt/dtDmjwxt/list",
    method: "get",
    params: query,
  });
}
//地面降温系统新增
export function listDmjwxtxz(data) {
  return request({
    url: "/dt/dtDmjwxt",
    method: "post",
    data: data,
  });
}
//地面降温信息更新
export function updateDmjwxtgx(data) {
  return request({
    url: "/dt/dtDmjwxt",
    method: "put",
    data: data,
  });
}
//顶驱
export function listDqpz(query) {
  return request({
    url: "/dt/dtDqpz/list",
    method: "get",
    params: query,
  });
} //顶驱新增
export function addDqpz(data) {
  return request({
    url: "/dt/dtDqpz",
    method: "post",
    data: data,
  });
}
//顶驱编辑
export function updateDqpz(data) {
  return request({
    url: "/dt/dtDqpz",
    method: "put",
    data: data,
  });
}
//选择厂商顶驱
export function listDqcs(query) {
  return request({
    url: "/jtzb/jtzbDq/list",
    method: "get",
    params: query,
  });
}
//选择泥浆泵厂商
export function listNjbcs(query) {
  return request({
    url: "/jtzb/jtzbNjb/list",
    method: "get",
    params: query,
  });
}
//泥浆泵信息
export function listNjbxx(query) {
  return request({
    url: "/dt/dtNjbpz/list",
    method: "get",
    params: query,
  });
}
//新增泥浆泵
export function addNjbxx(data) {
  return request({
    url: "/dt/dtNjbpz",
    method: "post",
    data: data,
  });
}
//修改泥浆泵信息
export function updateNjbxx(data) {
  return request({
    url: "/dt/dtNjbpz",
    method: "put",
    data: data,
  });
}
//查询单条泥浆泵信息
export function getNjbxx(id) {
  return request({
    url: "/dt/dtNjbpz/" + id,
    method: "get",
  });
}

//删除一个泥浆泵
export function deleteNjbxx(id) {
  return request({
    url: "/dt/dtNjbpz/" + id,
    method: "delete",
  });
}

//泥浆泵其他信息 地面管汇长度m  内径
export function listNjbQtxx(query) {
  return request({
    url: "/dt/dtNjbqt/list",
    method: "get",
    params: query,
  });
}

//新增 泥浆泵其他信息
export function addNjbQtxx(data) {
  return request({
    url: "/dt/dtNjbqt",
    method: "post",
    data: data,
  });
}

//编辑 泥浆泵其他信息
export function updateNjbQtxx(data) {
  return request({
    url: "/dt/dtNjbqt",
    method: "put",
    data: data,
  });
}
// ----------方案参数查询
//方案参数查询/dt/dtFacs/list
export function listFacs(query) {
  return request({
    url: "/dt/dtFacs/list",
    method: "get",
    params: query,
  });
}
//方案参数新增
export function addFacs(data) {
  return request({
    url: "/dt/dtFacs",
    method: "post",
    data: data,
  });
}
//方案参数更新
export function updateFacs(data) {
  return request({
    url: "/dt/dtFacs",
    method: "put",
    data: data,
  });
}
//井眼轨迹-----设计轨迹

// 查询轨迹list
export function listsjgjtWellData(query) {
  return request({
    url: "/jt/jtJygj/list",
    method: "get",
    params: query,
  });
}
// 轨迹新增设计
export function addsjgjWell(data) {
  return request({
    url: "/jt/jtJygj",
    method: "post",
    data: data,
  });
}
// 修改设计
export function updatesjgjWell(data) {
  return request({
    url: "/jt/jtJygj",
    method: "put",
    data: data,
  });
}

// 删除设计
export function delsjgjWell(id) {
  return request({
    url: "/jt/jtJygj/" + id,
    method: "delete",
  });
}
// 设计井眼曲折度
// 查询井眼曲折度列表
export function listWellboreData(query) {
  return request({
    url: "/jt/jtJyqzd/list",
    method: "get",
    params: query,
  });
}

// 新增井眼曲折度
export function addWellbore(data) {
  return request({
    url: "/jt/jtJyqzd",
    method: "post",
    data: data,
  });
}

// 修改井眼曲折度
export function updateWellbore(data) {
  return request({
    url: "/jt/jtJyqzd",
    method: "put",
    data: data,
  });
}

// 删除井眼曲折度
export function delWellbore(id) {
  return request({
    url: "/jt/jtJyqzd/" + id,
    method: "delete",
  });
}
//设计变更井眼轨迹  轨迹list-克隆
// 查询轨迹list--克隆
export function listbgWellData(query) {
  return request({
    url: "/dt/dtJygjsjbg/list",
    method: "get",
    params: query,
  });
}
// 轨迹新增设计-克隆
export function addbgWell(data) {
  return request({
    url: "/dt/dtJygjsjbg",
    method: "post",
    data: data,
  });
}
// 轨迹修改-克隆
export function updatebgWell(data) {
  return request({
    url: "/dt/dtJygjsjbg",
    method: "put",
    data: data,
  });
}

// 轨迹删除
export function delbgWell(id) {
  return request({
    url: "/dt/dtJygjsjbg/" + id,
    method: "delete",
  });
}
// 设计变更井眼曲折度
// 查询井眼曲折度列表
export function listbgWellboreData(query) {
  return request({
    url: "/dt/dtJyqzdsjbg/list",
    method: "get",
    params: query,
  });
}

// 新增井眼曲折度 克隆
export function addbgWellbore(data) {
  return request({
    url: "/dt/dtJyqzdsjbg",
    method: "post",
    data: data,
  });
}

// 修改井眼曲折度
export function updatebgWellbore(data) {
  return request({
    url: "/dt/dtJyqzdsjbg",
    method: "put",
    data: data,
  });
}

// 删除井眼曲折度
export function delbgWellbore(id) {
  return request({
    url: "/dt/dtJyqzdsjbg/" + id,
    method: "delete",
  });
}

//井位置
//位置信息
export function listJwxx(id) {
  return request({
    url: "/dt/dtJygjjkwzsc/wzxx/" + id,
    method: "get",
  });
}
//位置新增
export function addJwxx(data) {
  return request({
    url: "/dt/dtJygjjkwzsc",
    method: "post",
    data: data,
  });
}
//位置修改
export function updateJwxx(data) {
  return request({
    url: "/dt/dtJygjjkwzsc",
    method: "put",
    data: data,
  });
}
//实测轨迹
// 轨迹list
export function listscWellboreData(query) {
  return request({
    url: "/dt/dtJygjsc/list",
    method: "get",
    params: query,
  });
}

// 轨迹新增--克隆
export function addscWellbore(data) {
  return request({
    url: "/dt/dtJygjsc",
    method: "post",
    data: data,
  });
}

//轨迹修改-克隆
export function updatescWellbore(data) {
  return request({
    url: "/dt/dtJygjsc",
    method: "put",
    data: data,
  });
}

// 轨迹删除
export function delscWellbore(id) {
  return request({
    url: "/dt/dtJygjsc/" + id,
    method: "delete",
  });
}

//输出结果
// 输出结果list
export function listjgWellboreData(query) {
  return request({
    url: "/dt/dtJygjJg/list",
    method: "get",
    params: query,
  });
}

// 输出结果新增
export function addjgscWellbore(data) {
  return request({
    url: "/dt/dtJygjJg",
    method: "post",
    data: data,
  });
}

//输出结果修改
export function updatejgWellbore(data) {
  return request({
    url: "/dt/dtJygjJg",
    method: "put",
    data: data,
  });
}

// 轨迹删除
export function deljgWellbore(id) {
  return request({
    url: "/dt/dtJygjJg/" + id,
    method: "delete",
  });
}
// 井身结构----

// 井身结构设计方案
export function listGcfa(query) {
  return request({
    url: "/jt/jtJsjgsj/list",
    method: "get",
    params: query,
  });
}
//选择套管
export function jsjgSelect(query) {
  return request({
    url: "/jtzj/jtzjTg/list",
    method: "get",
    params: query,
  });
}
//井身结构列表
export function jsjgPic(query) {
  return request({
    url: "/dt/dtJsjgsj/list",
    method: "get",
    params: query,
  });
}
//井身结构编辑_开次
export function jsjgEditKc(data) {
  return request({
    url: "/dt/dtJsjgsj",
    method: "put",
    data: data,
  });
}
//井身结构新增_开次
export function jsjgAddKc(data) {
  return request({
    url: "/dt/dtJsjgsj",
    method: "post",
    data: data,
  });
}
// 井身结构新增_整体
export function jsjgAddAll(data) {
  return request({
    url: "/dt/dtJsjgsj/addZt",
    method: "post",
    data: data,
  });
}
// 井身结构编辑_整体
export function jsjgUpdateAll(data) {
  return request({
    url: "/dt/dtJsjgsj/editZt",
    method: "put",
    data: data,
  });
}

//实际方案删除
export function deleteJsjg(id) {
  return request({
    url: "/dt/dtJsjgsj/" + id,
    method: "delete",
  });
}
//井身结构单个详情
export function jsjgDetail(id) {
  return request({
    url: "/dt/dtJsjgsj/" + id,
    method: "get",
    // params: query,
  });
}
//井径 --查询
export function listJsjgjj(query) {
  return request({
    url: "/dt/dtJsjgjj/list",
    method: "get",
    params: query,
  });
}
//井径--新增
export function addJsjgjj(data) {
  return request({
    url: "/dt/dtJsjgjj",
    method: "post",
    data: data,
  });
}
//井径--编辑保存
export function editJsjgjj(data) {
  return request({
    url: "/dt/dtJsjgjj",
    method: "put",
    data: data,
  });
}
//井径--删除
export function deleteJsjgjj(id) {
  return request({
    url: "/dt/dtJsjgjj/" + id,
    method: "delete",
  });
}

//井眼轨迹-二维视图
export function getTwoView(query) {
  return request({
    url: "/dt/dtJygjJg/jygjEw",
    method: "get",
    params: query,
  });
}
//井眼轨迹-二维视图
export function getTwoViews(query) {
  return request({
    url: "/system/jskd/jygjEw",
    method: "get",
    params: query,
  });
}
//三维
export function getThreeViews(query) {
  return request({
    url: "/system/jskd/jygjSw",
    method: "get",
    params: query,
  });
}
//直方图
export function getZft(query) {
  return request({
    url: "/system/jsaa/zft",
    method: "get",
    params: query,
  });
}
//多井直方图
export function getdjZft(query) {
  return request({
    url: "/system/jsaa/djzft",
    method: "get",
    params: query,
  });
}
//
//曲线图
export function getqxt(query) {
  return request({
    url: "/system/jsaa/qxt",
    method: "get",
    params: query,
  });
}
//多井曲线图
export function getdjqxt(query) {
  return request({
    url: "/system/jsaa/djqxt",
    method: "get",
    params: query,
  });
}
//井
//井眼轨迹-三维视图
export function getThreeView(query) {
  return request({
    url: "/dt/dtJygjJg/jygjSw",
    method: "get",
    params: query,
  });
}
//井眼轨迹-斜深
export function getXsView(query) {
  return request({
    url: "/dt/dtJygjJg/jygjEw_xs",
    method: "get",
    params: query,
  });
}

// 井眼轨迹-斜深（系统接口）
export function getXsViews(query) {
  return request({
    url: "/system/jskd/jygjEw_xs",
    method: "get",
    params: query,
  });
}

//井身结构图
// export function jsjgImg (query) {
//   return request({
//     url: "/dt/dtJsjgsj/jsjgt",
//     method: "get",
//     params: query,
//   });
// }

//井身结构图  直
export function jsjgImg(query) {
  return request({
    url: "/dt/dtJsjgsj/jsjgt2",
    method: "get",
    params: query,
  });
}

//井身结构图  弯
export function jsjgSvgImg(query) {
  return request({
    url: "/dt/dtJsjgsj/jsjgtw",
    method: "get",
    params: query,
  });
}

//新增按钮
export function addKcax(query) {
  return request({
    url: "/dt/dtJsjgsj/addDtjsjgmb",
    method: "get",
    params: query,
  });
}

//多井钻头曲线图
export function getDjztqxt(query) {
  return request({
    url: "/system/jsaa/djztqxt",
    method: "get",
    params: query,
  });
}
